Bug ID 672502: When installing a new netHSM client to a BIG-IP volume, the pre-existing netHSM client installed to other BIG-IP volumes will be overwritten and could be unusable

Last Modified: Oct 24, 2019

Bug Tracker

Affected Product:  See more info
BIG-IP LTM(all modules)

Known Affected Versions:
13.1.0, 13.1.0.1, 13.1.0.2, 13.1.0.3, 13.1.0.4, 13.1.0.5, 13.1.0.6, 13.1.0.7, 13.1.0.8, 13.1.1, 13.1.1.1, 13.1.1.2, 13.1.1.3, 13.1.1.4, 13.1.1.5, 13.1.3, 13.1.3.1, 14.0.0, 14.0.0.1, 14.0.0.2, 14.0.0.3, 14.0.0.4, 14.0.0.5, 14.0.1, 14.0.1.1

Opened: Jul 05, 2017
Severity: 3-Major

Symptoms

When installing a new netHSM client to a new BIG-IP volume, the pre-existing netHSM client installed to other BIG-IP volumes will be overwritten and could be unusable

Impact

The pre-existing BIG-IP volumes that work with the netHSM client installed earlier might not work after the new client overwrites the old one. If the newly installed netHSM is not compatible with the pre-existing BIG-IP volume, the pre-existing BIG-IP volume will not work when the user boots to the old BIG-IP volume.

Conditions

netHSM (Thales/SafeNet) client existed in the old version and a new client version is installed on a new volume. The new client will overwrite the old client in /shared.

Workaround

When booting to the old BIG-IP volume with the pre-existing older netHSM client, re-install the netHSM client version that is compatible to that volume. Note that once this is done, the new volume will be similarly affected and will need a reinstall of the newer (different) netHSM client too, once that is booted into.

Fix Information

None

Behavior Change